%define pkgver %(echo %version | tr _ -)
%define majver %(echo %version | cut -d_ -f1)
Name:          libx86emu
Version:       3.3
Release:       1mamba
Summary:       A small x86 emulation library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/wfeldt/libx86emu
Source:        https://github.com/wfeldt/libx86emu.git/%{version}/libx86emu-%{version}.tar.bz2
## autospec -x libx86emu-%{version}-%{oss_release}.src.rpm -F libx86emu-%{version}.tar.bz2
#Source:        http://www.liwjatan.at/files/src/hwinfo/libx86emu-%{version}.tar.xz
#Source:        libx86emu-%{version}.tar.bz2
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
License:       BSD

%description
Small x86 emulation library with focus of easy usage and extended execution logging functions.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Small x86 emulation library with focus of easy usage and extended execution logging functions.

This package contains static libraries and header files need for development.

%prep
%setup -q
#rpm2cpio %{SOURCE0} | cpio -id
#tar xf %{name}-%{majver}.tar.bz2

echo %{version} > VERSION

%build
%make GIT2LOG=/bin/true

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
#%doc %{name}-%{majver}/LICENSE

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so

%changelog
* Thu Oct 14 2021 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Sun Sep 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2-1mamba
- update to 3.2

* Fri Feb 07 2020 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Thu Aug 29 2019 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Mon May 06 2019 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic version update by autodist

* Mon Jul 30 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14-1mamba
- update to 1.14

* Thu Nov 02 2017 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11-1mamba
- update to 1.11

* Sat Jan 23 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-1mamba
- update to 1.4

* Sun Apr 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1_21.6-1mamba
- update to 1.1_21.6

* Wed Feb 17 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.1-1mamba
- package created by autospec
